<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('analisa_lingkungan', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('analisa_id');
            $table->foreign('analisa_id')->references('id')->on('analisa');

            $table->string('jarak_jalan_utama');
            $table->string('alamat');
            $table->string('jarak_cbd_point');
            $table->string('lebar_perkerasan_jalan');
            $table->string('perkerasan_jalan');
            $table->string('lalu_lintas');
            $table->string('gol_mas_sekitar');
            $table->string('tingkat_keramaian');
            $table->string('terletak_diarea');
            $table->string('disekitar_lokasi');
            $table->string('dekat_makam');
            $table->enum('dekat_tps', ['yes', 'no']);
            $table->string('merupakan_daerah');
            $table->string('fasilitas_dekat_object');

            $table->char('authorized_status', 1)->nullable();
            $table->timestamps();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('analisa_lingkungan');
    }
};
